openEuler 欧拉开源社区 Log4j 高危安全漏洞修复完成,建议所有用户升级

openEuler 欧拉开源社区 Log4j 高危安全漏洞修复完成,建议所有用户升级

12 月 12 日消息,据 openEuler 发布,目前,欧拉开源社区已经修复 Log4j 高危安全漏洞 (CVE-2021-44228) 并发布安全公告。你可以通过更新 openEuler 20.03 LTS SP1 / SP2 Log4j 的安全补丁修复该漏洞。

openEuler 欧拉开源社区 Log4j 高危安全漏洞修复完成,建议所有用户升级

欧拉开源社区安全委员会在第一时间感知到 Log4j 安全漏洞后,迅速启动漏洞影响分析。由于成功利用该漏洞可以远程执行任意代码,并且漏洞已有公开利用 POC,所以安全委员会将漏洞评估为高危漏洞,并迅速启动紧急修复流程。

欧拉开源社区连夜完成了受 Log4j 漏洞影响的软件数量和系统版本,确认受影响的 LTS 系统版本为 openEuler 20.03 LTS SP1 / SP2 。

经过欧拉开源社区安全委员会和贡献者的共同努力,12 月 11 日晚上 8 点顺利完成受影响软件的修复工作,为了保证你的系统安全,我们建议你尽快通过系统更新升级到最新的 Log4j 版本。

欧拉开源社区始终将安全响应作为社区最优先的事务,未来我们会一如既往的为大家提供及时的安全响应服务。

修复进展时间线

12 月 10 日 09:47 —— 漏洞感知:Log4j 软件仓收到漏洞 issue CVE-2021-44228

12 月 10 日 15:22 —— 漏洞排查:完成受 Log4j 影响的软件数量和系统版本

12 月 10 日 18:22 —— 初步修复方案:初步确定修复方案为升级 Log4j 版本,正在做 SPEC 文件适配和编译错误处理。

12 月 10 日 22:16 —— 最终修复方案:升级 Log4j 过程中发现新版本编译可能涉及 Maven 和 Java 版本变更,需要解决的问题较多。而 Logo4j 上游社区已经提供补丁修复方式,已经完成适配,初步编译成功,确定修复方案改为补丁修复。

12 月 11 日 14:46 —— 补丁验证:POC 代码验证通过,正在向正式分支合入。

12 月 11 日 20:08 —— 补丁发布:openEuler 20.03 LTS SP1 / SP2 Log4j 安全补丁已经发布。

12 月 11 日 22:47 —— 安全公告发布:Log4j 安全公告已经完成发布,点此查看。

未经允许不得转载:VPS服务器 » openEuler 欧拉开源社区 Log4j 高危安全漏洞修复完成,建议所有用户升级

分享到: 生成海报